beneficiaryRequiredFieldsV2

The beneficiaryRequiredFields query fetches the required fields for successful beneficiary creation on any given corridor.

Parameters

ParametersTypeRequiredDescription
bank_countryStringtrue2 letter ISO code of the country the bank account is located
currencyStringtrueThe 3 character code of the currency
entity_idUUIDtrueEntity ID from the entity that will be used to create the beneficiary

GraphQL Query

query BeneficiaryRequiredFieldsV2($bankCountry: ISO3166_1!, $currency: ISO4217!, $entityId: UUID!) {
  beneficiaryRequiredFieldsV2(bank_country: $bankCountry, currency: $currency, entity_id: $entityId) {
    fedwire {
      personal {
        variable
        regex
        variable_sub_type
        example
        enum
        valid_bank_codes {
          code
          bank_name
          swift_bic
        }
      }
      business {
        variable
        regex
        variable_sub_type
        example
        enum
      }
    }
    swift {
      personal {
        variable
        regex
        variable_sub_type
        example
        enum
        valid_bank_codes {
          code
          bank_name
          swift_bic
        }
      }
      business {
        variable
        regex
        variable_sub_type
        example
        enum
      }
    }
    local {
      personal {
        variable
        regex
        variable_sub_type
        example
        enum
        valid_bank_codes {
          code
          bank_name
          swift_bic
        }
      }
      business {
        variable
        regex
        variable_sub_type
        example
        enum
      }
    }
    mobile {
      personal {
        variable
        regex
        variable_sub_type
        example
        enum
        valid_bank_codes {
          code
          bank_name
          swift_bic
        }
      }
      business {
        variable
        regex
        variable_sub_type
        example
        enum
      }
    }
  }
}

Query Variables

{
  "bankCountry": "BR",
  "currency": "BRL",
  "entityId": "0fba2c87-67d0-45b8-8d8c-5234725f9890"
}
Body Params
string
Defaults to {}
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json